diff -urN punbb-1.4.1/include/parser.php punbb-1.4.2/include/parser.php
--- punbb-1.4.1/include/parser.php	2011-10-31 18:51:50.000000000 +0000
+++ punbb-1.4.2/include/parser.php	2012-02-09 20:42:20.000000000 +0000
@@ -2,7 +2,7 @@
 /**
  * Loads various functions used to parse posts.
  *
- * @copyright (C) 2008-2011 PunBB, partially based on code (C) 2008-2009 FluxBB.org
+ * @copyright (C) 2008-2012 PunBB, partially based on code (C) 2008-2009 FluxBB.org
  * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
  * @package PunBB
  */
@@ -62,9 +62,7 @@
 
 		if ($forum_config['o_make_links'] == '1')
 		{
-			// Check Unicode support
-			$unicode = defined('FORUM_SUPPORT_PCRE_UNICODE');
-			$text = do_clickable($text, $unicode);
+			$text = do_clickable($text, defined('FORUM_SUPPORT_PCRE_UNICODE'));
 		}
 
 		// If we split up the message before we have to concatenate it together again (code tags)
@@ -138,11 +136,11 @@
 	$tags_quotes = array('url', 'email', 'img');
 	// Tags we limit bbcode in
 	$tags_limit_bbcode = array(
-		'*' 	=> array('b', 'i', 'u', 'color', 'colour', 'url', 'email', 'list', 'img'),
-		'list' 	=> array('*'),
-		'url' 	=> array('b', 'i', 'u', 'color', 'colour', 'img'),
+		'*'		=> array('b', 'i', 'u', 'color', 'colour', 'url', 'email', 'list', 'img'),
+		'list'	=> array('*'),
+		'url'	=> array('b', 'i', 'u', 'color', 'colour', 'img'),
 		'email' => array('b', 'i', 'u', 'color', 'colour', 'img'),
-		'img' 	=> array()
+		'img'	=> array()
 	);
 	// Tags we can automatically fix bad nesting
 	$tags_fix = array('quote', 'b', 'i', 'u', 'color', 'colour', 'url', 'email', 'h');
@@ -597,16 +595,33 @@
 		$full_url = 'http://'.$full_url;
 	else if (strpos($url, 'ftp.') === 0)	// Else if it starts with ftp, we add ftp://
 		$full_url = 'ftp://'.$full_url;
-	else if (!preg_match('#^([a-z0-9]{3,6})://#', $url)) 	// Else if it doesn't start with abcdef://, we add http://
+	else if (!preg_match('#^([a-z0-9]{3,6})://#', $url))	// Else if it doesn't start with abcdef://, we add http://
 		$full_url = 'http://'.$full_url;
 
 	if (defined('FORUM_SUPPORT_PCRE_UNICODE') && defined('FORUM_ENABLE_IDNA'))
 	{
-		$idn = new idna_convert();
-		$idn->set_parameter('encoding', 'utf8');
-		$idn->set_parameter('strict', false);
+		static $idn;
+		static $cached_encoded_urls = null;
 
-		$full_url = $idn->encode($full_url);
+		if (is_null($cached_encoded_urls))
+			$cached_encoded_urls = array();
+
+		// Check in cache
+		$cache_key = md5($full_url);
+		if (isset($cached_encoded_urls[$cache_key]))
+			$full_url = $cached_encoded_urls[$cache_key];
+		else
+		{
+			if (!isset($idn))
+			{
+				$idn = new idna_convert();
+				$idn->set_parameter('encoding', 'utf8');
+				$idn->set_parameter('strict', false);
+			}
+
+			$full_url = $idn->encode($full_url);
+			$cached_encoded_urls[$cache_key] = $full_url;
+		}
 	}
 
 	// Ok, not very pretty :-)
diff -urN punbb-1.4.1/include/search_functions.php punbb-1.4.2/include/search_functions.php
--- punbb-1.4.1/include/search_functions.php	2011-10-31 18:51:50.000000000 +0000
+++ punbb-1.4.2/include/search_functions.php	2012-02-09 20:42:20.000000000 +0000
@@ -2,7 +2,7 @@
 /**
  * Loads various functions that are used for searching the forum.
  *
- * @copyright (C) 2008-2011 PunBB, partially based on code (C) 2008-2009 FluxBB.org
+ * @copyright (C) 2008-2012 PunBB, partially based on code (C) 2008-2009 FluxBB.org
  * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
  * @package PunBB
  */
@@ -78,7 +78,7 @@
 		// Remove any words that are not indexed
 		$keywords_array = array_filter($keywords_array, 'validate_search_word');
 
-  		if (empty($keywords_array))
+		if (empty($keywords_array))
 			no_search_results();
 
 		$word_count = 0;
@@ -872,7 +872,7 @@
 		case 'show_user_topics':
 			$forum_page['crumbs'][] = sprintf($lang_search['Topics by'], $search_set[0]['poster']);
 			$forum_page['items_info'] = generate_items_info($lang_search['Topics found'], ($forum_page['start_from'] + 1), $num_hits);
-			$forum_page['main_head_options']['user_posts'] =  '<span'.(empty($forum_page['main_head_options']) ? ' class="first-item"' : '').'><a href="'.forum_link($forum_url['search_user_posts'], $search_id).'">'.sprintf($lang_search['Posts by'], forum_htmlencode($search_set[0]['poster'])).'</a></span>';
+			$forum_page['main_head_options']['user_posts'] = '<span'.(empty($forum_page['main_head_options']) ? ' class="first-item"' : '').'><a href="'.forum_link($forum_url['search_user_posts'], $search_id).'">'.sprintf($lang_search['Posts by'], forum_htmlencode($search_set[0]['poster'])).'</a></span>';
 			$forum_page['main_head_options']['defined_search'] = '<span'.(empty($forum_page['main_head_options']) ? ' class="first-item"' : '').'><a href="'.forum_link($forum_url['search']).'">'.$lang_search['User defined search'].'</a></span>';
 			break;
 
diff -urN punbb-1.4.1/include/search_idx.php punbb-1.4.2/include/search_idx.php
--- punbb-1.4.1/include/search_idx.php	2011-10-31 18:51:50.000000000 +0000
+++ punbb-1.4.2/include/search_idx.php	2012-02-09 20:42:20.000000000 +0000
@@ -2,7 +2,7 @@
 /**
  * Load various functions used in indexing posts and topics for searching.
  *
- * @copyright (C) 2008-2011 PunBB, partially based on code (C) 2008-2009 FluxBB.org
+ * @copyright (C) 2008-2012 PunBB, partially based on code (C) 2008-2009 FluxBB.org
  * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
  * @package PunBB
  */
diff -urN punbb-1.4.1/include/url/Default/forum_urls.php punbb-1.4.2/include/url/Default/forum_urls.php
--- punbb-1.4.1/include/url/Default/forum_urls.php	2011-10-31 18:51:50.000000000 +0000
+++ punbb-1.4.2/include/url/Default/forum_urls.php	2012-02-09 20:42:20.000000000 +0000
@@ -2,7 +2,7 @@
 /**
  * Regular URL scheme.
  *
- * @copyright (C) 2008-2011 PunBB, partially based on code (C) 2008-2009 FluxBB.org
+ * @copyright (C) 2008-2012 PunBB, partially based on code (C) 2008-2009 FluxBB.org
  * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
  * @package PunBB
  */
diff -urN punbb-1.4.1/include/url/Default/reserved_strings.php punbb-1.4.2/include/url/Default/reserved_strings.php
--- punbb-1.4.1/include/url/Default/reserved_strings.php	2011-10-31 18:51:50.000000000 +0000
+++ punbb-1.4.2/include/url/Default/reserved_strings.php	2012-02-09 20:42:20.000000000 +0000
@@ -3,7 +3,7 @@
  * Loads the reserved strings used to transform problematic strings in URLs.
  * These are matched against the whole string after all other transformations.
  *
- * @copyright (C) 2008-2011 PunBB, partially based on code (C) 2008-2009 FluxBB.org
+ * @copyright (C) 2008-2012 PunBB, partially based on code (C) 2008-2009 FluxBB.org
  * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
  * @package PunBB
  */
diff -urN punbb-1.4.1/include/url/Default/rewrite_rules.php punbb-1.4.2/include/url/Default/rewrite_rules.php
--- punbb-1.4.1/include/url/Default/rewrite_rules.php	2011-10-31 18:51:50.000000000 +0000
+++ punbb-1.4.2/include/url/Default/rewrite_rules.php	2012-02-09 20:42:20.000000000 +0000
@@ -2,7 +2,7 @@
 /**
  * Loads the regular expressions used to match SEF URL requests to their proper URLs.
  *
- * @copyright (C) 2008-2011 PunBB, partially based on code (C) 2008-2009 FluxBB.org
+ * @copyright (C) 2008-2012 PunBB, partially based on code (C) 2008-2009 FluxBB.org
  * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
  * @package PunBB
  */
diff -urN punbb-1.4.1/include/url/File_based/forum_urls.php punbb-1.4.2/include/url/File_based/forum_urls.php
--- punbb-1.4.1/include/url/File_based/forum_urls.php	2011-10-31 18:51:50.000000000 +0000
+++ punbb-1.4.2/include/url/File_based/forum_urls.php	2012-02-09 20:42:20.000000000 +0000
@@ -2,7 +2,7 @@
 /**
  * SEF URLs that use a file-like layout.
  *
- * @copyright (C) 2008-2011 PunBB, partially based on code (C) 2008-2009 FluxBB.org
+ * @copyright (C) 2008-2012 PunBB, partially based on code (C) 2008-2009 FluxBB.org
  * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
  * @package PunBB
  */
@@ -14,8 +14,8 @@
 
 // These are the simple file based SEF URLs
 $forum_url = array(
-	'insertion_find'				=>  '.html',
-	'insertion_replace'				=>  '-$1.html',
+	'insertion_find'				=>	'.html',
+	'insertion_replace'				=>	'-$1.html',
 	'change_email'					=>	'change-email$1.html',
 	'change_email_key'				=>	'change-email$1-$2.html',
 	'change_password'				=>	'change-password$1.html',
diff -urN punbb-1.4.1/include/url/File_based/reserved_strings.php punbb-1.4.2/include/url/File_based/reserved_strings.php
--- punbb-1.4.1/include/url/File_based/reserved_strings.php	2011-10-31 18:51:50.000000000 +0000
+++ punbb-1.4.2/include/url/File_based/reserved_strings.php	2012-02-09 20:42:20.000000000 +0000
@@ -3,7 +3,7 @@
  * Loads the reserved strings used to transform problematic strings in URLs.
  * These are matched against the whole string after all other transformations.
  *
- * @copyright (C) 2008-2011 PunBB, partially based on code (C) 2008-2009 FluxBB.org
+ * @copyright (C) 2008-2012 PunBB, partially based on code (C) 2008-2009 FluxBB.org
  * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
  * @package PunBB
  */
diff -urN punbb-1.4.1/include/url/File_based/rewrite_rules.php punbb-1.4.2/include/url/File_based/rewrite_rules.php
--- punbb-1.4.1/include/url/File_based/rewrite_rules.php	2011-10-31 18:51:50.000000000 +0000
+++ punbb-1.4.2/include/url/File_based/rewrite_rules.php	2012-02-09 20:42:20.000000000 +0000
@@ -2,7 +2,7 @@
 /**
  * Loads the regular expressions used to match SEF URL requests to their proper URLs.
  *
- * @copyright (C) 2008-2011 PunBB, partially based on code (C) 2008-2009 FluxBB.org
+ * @copyright (C) 2008-2012 PunBB, partially based on code (C) 2008-2009 FluxBB.org
  * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
  * @package PunBB
  */
diff -urN punbb-1.4.1/include/url/File_based_(fancy)/forum_urls.php punbb-1.4.2/include/url/File_based_(fancy)/forum_urls.php
--- punbb-1.4.1/include/url/File_based_(fancy)/forum_urls.php	2011-10-31 18:51:50.000000000 +0000
+++ punbb-1.4.2/include/url/File_based_(fancy)/forum_urls.php	2012-02-09 20:42:20.000000000 +0000
@@ -3,7 +3,7 @@
  * SEF URLs that use a file-like layout and include topic name and forum name
  * where applicable.
  *
- * @copyright (C) 2008-2011 PunBB, partially based on code (C) 2008-2009 FluxBB.org
+ * @copyright (C) 2008-2012 PunBB, partially based on code (C) 2008-2009 FluxBB.org
  * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
  * @package PunBB
  */
@@ -15,8 +15,8 @@
 
 // These are the "fancy" file based SEF URLs
 $forum_url = array(
-	'insertion_find'				=>  '.html',
-	'insertion_replace'				=>  '-$1.html',
+	'insertion_find'				=>	'.html',
+	'insertion_replace'				=>	'-$1.html',
 	'change_email'					=>	'change-email$1.html',
 	'change_email_key'				=>	'change-email$1-$2.html',
 	'change_password'				=>	'change-password$1.html',
diff -urN punbb-1.4.1/include/url/File_based_(fancy)/reserved_strings.php punbb-1.4.2/include/url/File_based_(fancy)/reserved_strings.php
--- punbb-1.4.1/include/url/File_based_(fancy)/reserved_strings.php	2011-10-31 18:51:50.000000000 +0000
+++ punbb-1.4.2/include/url/File_based_(fancy)/reserved_strings.php	2012-02-09 20:42:20.000000000 +0000
@@ -3,7 +3,7 @@
  * Loads the reserved strings used to transform problematic strings in URLs.
  * These are matched against the whole string after all other transformations.
  *
- * @copyright (C) 2008-2011 PunBB, partially based on code (C) 2008-2009 FluxBB.org
+ * @copyright (C) 2008-2012 PunBB, partially based on code (C) 2008-2009 FluxBB.org
  * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
  * @package PunBB
  */
diff -urN punbb-1.4.1/include/url/File_based_(fancy)/rewrite_rules.php punbb-1.4.2/include/url/File_based_(fancy)/rewrite_rules.php
--- punbb-1.4.1/include/url/File_based_(fancy)/rewrite_rules.php	2011-10-31 18:51:50.000000000 +0000
+++ punbb-1.4.2/include/url/File_based_(fancy)/rewrite_rules.php	2012-02-09 20:42:20.000000000 +0000
@@ -2,7 +2,7 @@
 /**
  * Loads the regular expressions used to match SEF URL requests to their proper URLs.
  *
- * @copyright (C) 2008-2011 PunBB, partially based on code (C) 2008-2009 FluxBB.org
+ * @copyright (C) 2008-2012 PunBB, partially based on code (C) 2008-2009 FluxBB.org
  * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
  * @package PunBB
  */
diff -urN punbb-1.4.1/include/url/Folder_based/forum_urls.php punbb-1.4.2/include/url/Folder_based/forum_urls.php
--- punbb-1.4.1/include/url/Folder_based/forum_urls.php	2011-10-31 18:51:50.000000000 +0000
+++ punbb-1.4.2/include/url/Folder_based/forum_urls.php	2012-02-09 20:42:20.000000000 +0000
@@ -2,7 +2,7 @@
 /**
  * SEF URLs that use a folder-like layout.
  *
- * @copyright (C) 2008-2011 PunBB, partially based on code (C) 2008-2009 FluxBB.org
+ * @copyright (C) 2008-2012 PunBB, partially based on code (C) 2008-2009 FluxBB.org
  * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
  * @package PunBB
  */
diff -urN punbb-1.4.1/include/url/Folder_based/reserved_strings.php punbb-1.4.2/include/url/Folder_based/reserved_strings.php
--- punbb-1.4.1/include/url/Folder_based/reserved_strings.php	2011-10-31 18:51:50.000000000 +0000
+++ punbb-1.4.2/include/url/Folder_based/reserved_strings.php	2012-02-09 20:42:20.000000000 +0000
@@ -3,7 +3,7 @@
  * Loads the reserved strings used to transform problematic strings in URLs.
  * These are matched against the whole string after all other transformations.
  *
- * @copyright (C) 2008-2011 PunBB, partially based on code (C) 2008-2009 FluxBB.org
+ * @copyright (C) 2008-2012 PunBB, partially based on code (C) 2008-2009 FluxBB.org
  * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
  * @package PunBB
  */
diff -urN punbb-1.4.1/include/url/Folder_based/rewrite_rules.php punbb-1.4.2/include/url/Folder_based/rewrite_rules.php
--- punbb-1.4.1/include/url/Folder_based/rewrite_rules.php	2011-10-31 18:51:50.000000000 +0000
+++ punbb-1.4.2/include/url/Folder_based/rewrite_rules.php	2012-02-09 20:42:20.000000000 +0000
@@ -2,7 +2,7 @@
 /**
  * Loads the regular expressions used to match SEF URL requests to their proper URLs.
  *
- * @copyright (C) 2008-2011 PunBB, partially based on code (C) 2008-2009 FluxBB.org
+ * @copyright (C) 2008-2012 PunBB, partially based on code (C) 2008-2009 FluxBB.org
  * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
  * @package PunBB
  */
diff -urN punbb-1.4.1/include/url/Folder_based_(fancy)/forum_urls.php punbb-1.4.2/include/url/Folder_based_(fancy)/forum_urls.php
--- punbb-1.4.1/include/url/Folder_based_(fancy)/forum_urls.php	2011-10-31 18:51:50.000000000 +0000
+++ punbb-1.4.2/include/url/Folder_based_(fancy)/forum_urls.php	2012-02-09 20:42:20.000000000 +0000
@@ -3,7 +3,7 @@
  * SEF URLs that use a folder-like layout and include topic name and forum name
  * where applicable.
  *
- * @copyright (C) 2008-2011 PunBB, partially based on code (C) 2008-2009 FluxBB.org
+ * @copyright (C) 2008-2012 PunBB, partially based on code (C) 2008-2009 FluxBB.org
  * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
  * @package PunBB
  */
diff -urN punbb-1.4.1/include/url/Folder_based_(fancy)/reserved_strings.php punbb-1.4.2/include/url/Folder_based_(fancy)/reserved_strings.php
--- punbb-1.4.1/include/url/Folder_based_(fancy)/reserved_strings.php	2011-10-31 18:51:50.000000000 +0000
+++ punbb-1.4.2/include/url/Folder_based_(fancy)/reserved_strings.php	2012-02-09 20:42:20.000000000 +0000
@@ -3,7 +3,7 @@
  * Loads the reserved strings used to transform problematic strings in URLs.
  * These are matched against the whole string after all other transformations.
  *
- * @copyright (C) 2008-2011 PunBB, partially based on code (C) 2008-2009 FluxBB.org
+ * @copyright (C) 2008-2012 PunBB, partially based on code (C) 2008-2009 FluxBB.org
  * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
  * @package PunBB
  */
diff -urN punbb-1.4.1/include/url/Folder_based_(fancy)/rewrite_rules.php punbb-1.4.2/include/url/Folder_based_(fancy)/rewrite_rules.php
--- punbb-1.4.1/include/url/Folder_based_(fancy)/rewrite_rules.php	2011-10-31 18:51:50.000000000 +0000
+++ punbb-1.4.2/include/url/Folder_based_(fancy)/rewrite_rules.php	2012-02-09 20:42:20.000000000 +0000
@@ -2,7 +2,7 @@
 /**
  * Loads the regular expressions used to match SEF URL requests to their proper URLs.
  *
- * @copyright (C) 2008-2011 PunBB, partially based on code (C) 2008-2009 FluxBB.org
+ * @copyright (C) 2008-2012 PunBB, partially based on code (C) 2008-2009 FluxBB.org
  * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
  * @package PunBB
  */
diff -urN punbb-1.4.1/include/xml.php punbb-1.4.2/include/xml.php
--- punbb-1.4.1/include/xml.php	2011-10-31 18:51:50.000000000 +0000
+++ punbb-1.4.2/include/xml.php	2012-02-09 20:42:20.000000000 +0000
@@ -2,7 +2,7 @@
 /**
  * Loads various functions used in parsing XML (mostly for extensions).
  *
- * @copyright (C) 2008-2011 PunBB, partially based on code (C) 2008-2009 FluxBB.org
+ * @copyright (C) 2008-2012 PunBB, partially based on code (C) 2008-2009 FluxBB.org
  * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
  * @package PunBB
  */
@@ -173,6 +173,7 @@
 			$errors[] = sprintf($lang_admin_ext['extension/minversion error2'], $ext['minversion']);
 		if (!isset($ext['maxtestedon']) || $ext['maxtestedon'] == '')
 			$errors[] = $lang_admin_ext['extension/maxtestedon error'];
+
 		if (isset($ext['note']))
 		{
 			foreach ($ext['note'] as $note)
@@ -183,6 +184,7 @@
 					$errors[] = $lang_admin_ext['extension/note error2'];
 			}
 		}
+
 		if (isset($ext['hooks']) && is_array($ext['hooks']))
 		{
 			if (!isset($ext['hooks']['hook']) || !is_array($ext['hooks']['hook']))
diff -urN punbb-1.4.1/index.php punbb-1.4.2/index.php
--- punbb-1.4.1/index.php	2011-10-31 18:51:50.000000000 +0000
+++ punbb-1.4.2/index.php	2012-02-09 20:42:20.000000000 +0000
@@ -2,7 +2,7 @@
 /**
  * Displays a list of the categories/forums that the current user can see, along with some statistics.
  *
- * @copyright (C) 2008-2011 PunBB, partially based on code (C) 2008-2009 FluxBB.org
+ * @copyright (C) 2008-2012 PunBB, partially based on code (C) 2008-2009 FluxBB.org
  * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
  * @package PunBB
  */
diff -urN punbb-1.4.1/lang/English/admin_ext.php punbb-1.4.2/lang/English/admin_ext.php
--- punbb-1.4.1/lang/English/admin_ext.php	2011-10-31 18:51:50.000000000 +0000
+++ punbb-1.4.2/lang/English/admin_ext.php	2012-02-09 20:42:20.000000000 +0000
@@ -21,6 +21,7 @@
 'Extension error'				=>	'Error',
 'Extension loading error'		=>	'Loading of extension "%s" failed.',
 'Illegal ID'					=>	'The ID must contain only lowercase alphanumeric characters (a-z and 0-9) and the underscore character (_).',
+'Maxtestedon error'				=>	'This extension is not compatible with your PunBB version.',
 'Maxtestedon warning'			=>	'This extension has not been explicitly tested on your PunBB version and might therefore not be compatible with your current setup.',
 'Missing manifest'				=>	'Missing manifest.xml.',
 'Failed parse manifest'			=>	'Unable to parse manifest.xml.',
diff -urN punbb-1.4.1/lang/English/admin_index.php punbb-1.4.2/lang/English/admin_index.php
--- punbb-1.4.1/lang/English/admin_index.php	2011-10-31 18:51:50.000000000 +0000
+++ punbb-1.4.2/lang/English/admin_index.php	2012-02-09 20:42:20.000000000 +0000
@@ -7,7 +7,7 @@
 'Alerts'						=>	'Administrator Alerts',
 'Check for updates enabled'		=>	'This board is setup to automatically check for updates and hotfixes against the punbb.informer.com updates service.',
 'Check for updates manual'		=>	'Check for updates',	// Link text
-'Copyright message'				=>	'&copy; 2008-2011 <a href="http://punbb.informer.com/">PunBB</a>, partially based on code &copy; 2008-2009 <a href="http://fluxbb.org/">FluxBB</a>',
+'Copyright message'				=>	'&copy; 2008-2012 <a href="http://punbb.informer.com/">PunBB</a>',
 'PunBB version'					=>	'PunBB version',
 'PunBB community'				=>	'Community',
 'Forums'						=>	'Forums',
diff -urN punbb-1.4.1/lang/English/admin_prune.php punbb-1.4.2/lang/English/admin_prune.php
--- punbb-1.4.1/lang/English/admin_prune.php	2011-10-09 17:49:11.000000000 +0000
+++ punbb-1.4.2/lang/English/admin_prune.php	2012-02-09 20:42:20.000000000 +0000
@@ -16,7 +16,6 @@
 'Number of topics'				=>	'Number of topics',
 'Prune caution'					=>	'<strong>IMPORTANT!</strong> Use this feature with caution. Pruned posts can <em>NEVER</em> be recovered. For best performance you should put the forum in maintenance mode during pruning.',
 'Prune intro'					=>	'You may prune topics from all forums or from one particular forum. Topics will be pruned according to the value you specify for "Days old". E.g. if you were to enter 30, every topic that didn\'t contain a post dated less than 30 days old would be deleted.',
-'Prune sticky'					=>	'Prune sticky topics',
 'Prune sticky enable'			=>	'Enable pruning of sticky topics.',
 'Prune from'					=>	'Prune from forum',
 'Days to prune message'			=>	'Days to prune must be a positive integer.',
diff -urN punbb-1.4.1/lang/English/admin_reindex.php punbb-1.4.2/lang/English/admin_reindex.php
--- punbb-1.4.1/lang/English/admin_reindex.php	2011-10-09 17:49:11.000000000 +0000
+++ punbb-1.4.2/lang/English/admin_reindex.php	2012-02-09 20:42:20.000000000 +0000
@@ -6,14 +6,13 @@
 'Reindex heading'			=>	'Rebuild search index to restore search performance',
 'Rebuild index legend'		=>	'Rebuild search index',
 'Reindex info'				=>	'If you have added, edited or removed posts manually in the database or if you are having problems searching, you should rebuild the search index. For best performance you should put the forum in maintenance mode during rebuilding. Once the process has completed you will be redirected back to this page. It is highly recommended that you have JavaScript enabled in your browser during rebuilding (for automatic redirect when a cycle has completed).',
-'Reindex warning'			=>	'<strong>IMPORTANT!</strong> Rebuilding the search index can take a long time and will increase server load during the rebuild process. If you are forced to abort the rebuild process, make a note of the last processed post ID and enter that ID+1 in "Starting post ID" when/if you want to continue.',
+'Reindex warning'			=>	'<strong>IMPORTANT!</strong> Rebuilding the search index can take a long time and will increase server load during the rebuild process. If you are forced to abort the rebuild process, make a note of the last processed post ID and enter that ID+1 in "Starting post ID" when you want to continue.',
 'Empty index warning'		=>	'<strong>WARNING!</strong> If you want to resume an aborted rebuild, do not select "empty index".',
 'Posts per cycle'			=>	'Posts per cycle',
 'Posts per cycle info'		=>	'The number of posts to process per pageview. E.g. if you were to enter 100, one hundred posts would be processed and then the page would refresh. This is to prevent the script from timing out during the rebuild process.',
 'Starting post'				=>	'Starting post ID',
 'Starting post info'		=>	'The post ID to start rebuilding at. The default value is the first available ID in the database. Normally you would not want to change this.',
-'Empty index'				=>	'Empty index',
-'Empty index info'			=>	'Empty search index before rebuilding (see below).',
+'Empty index'				=>	'Empty search index before rebuilding (see below).',
 'Rebuilding index title'	=>	'Rebuilding search index…',
 'Rebuilding index'			=>	'Rebuilding index… This might be a good time to put on some coffee :-)',
 'Processing post'			=>	'Processing post <strong>%s</strong> in topic <strong>%s</strong>.',
@@ -21,4 +20,4 @@
 'Click to continue'			=>	'Click here to continue',
 'Rebuild index'				=>	'Rebuild index',
 
-);
\ No newline at end of file
+);
diff -urN punbb-1.4.1/lang/English/admin_reports.php punbb-1.4.2/lang/English/admin_reports.php
--- punbb-1.4.1/lang/English/admin_reports.php	2011-10-31 18:51:50.000000000 +0000
+++ punbb-1.4.2/lang/English/admin_reports.php	2012-02-09 20:42:20.000000000 +0000
@@ -18,5 +18,6 @@
 'Read reports heading'			=>	'Last 10 reports marked as read',
 'No reports'					=>	'There are no reports either read or unread for you to view.',
 'Marked read by'				=>	'Read %s by %s',
+'Post'							=> 'Post #%s',
 
 );
diff -urN punbb-1.4.1/lang/English/admin_settings.php punbb-1.4.2/lang/English/admin_settings.php
--- punbb-1.4.1/lang/English/admin_settings.php	2011-10-31 18:51:50.000000000 +0000
+++ punbb-1.4.2/lang/English/admin_settings.php	2012-02-09 20:42:20.000000000 +0000
@@ -210,7 +210,7 @@
 'Maintenance mode'				=>	'Maintenance mode',
 'Maintenance mode label'		=>	'Put board into maintenance mode.',
 'Maintenance message label'		=>	'Maintenance message',
-'Maintenance message help'		=>	'The message to be shown when the board is in maintenance mode. You may use the default message provided or compose your own. You may use HTML in your message.',
+'Maintenance message help'		=>	'The message to be shown when the board is in maintenance mode. You may use HTML in your message.',
 'Maintenance message default'	=>	'The forums are temporarily down for maintenance. Please try again in a few minutes.<br /><br />Administrator',
 
 );
diff -urN punbb-1.4.1/lang/English/common.php punbb-1.4.2/lang/English/common.php
--- punbb-1.4.1/lang/English/common.php	2011-10-31 18:51:50.000000000 +0000
+++ punbb-1.4.2/lang/English/common.php	2012-02-09 20:42:20.000000000 +0000
@@ -86,8 +86,8 @@
 'Info separator'			=>	' ', // e.g. 1 Page | 10 Topics
 'Powered by'				=>	'Powered by %s, supported by %s.',
 'Maintenance'				=>	'Maintenance',
-'Installed extension'		=>	'The %s official extension is installed. Copyright &copy; 2003&ndash;2011 <a href="http://punbb.informer.com/">PunBB</a>.',
-'Installed extensions'		=>	'Currently installed <span id="extensions-used" title="%s">%s official extensions</span>. Copyright &copy; 2003&ndash;2011 <a href="http://punbb.informer.com/">PunBB</a>.',
+'Installed extension'		=>	'The %s official extension is installed. Copyright &copy; 2003&ndash;2012 <a href="http://punbb.informer.com/">PunBB</a>.',
+'Installed extensions'		=>	'Currently installed <span id="extensions-used" title="%s">%s official extensions</span>. Copyright &copy; 2003&ndash;2012 <a href="http://punbb.informer.com/">PunBB</a>.',
 
 // CSRF confirmation form
 'Confirm'					=>	'Confirm',	// Button
@@ -115,13 +115,13 @@
 // Stuff for the navigator (top of every page)
 'Index'						=>	'Index',
 'User list'					=>	'User list',
-'Rules'						=>  'Rules',
-'Search'					=>  'Search',
-'Register'					=>  'Register',
+'Rules'						=>	'Rules',
+'Search'					=>	'Search',
+'Register'					=>	'Register',
 'register'					=>	'register',
-'Login'						=>  'Login',
+'Login'						=>	'Login',
 'login'						=>	'login',
-'Not logged in'				=>  'You are not logged in.',
+'Not logged in'				=>	'You are not logged in.',
 'Profile'					=>	'Profile',
 'Logout'					=>	'Logout',
 'Logged in as'				=>	'Logged in as %s.',
@@ -155,11 +155,18 @@
 'Skip to content'			=>	'Skip to forum content',
 
 // Debug information
-'Querytime'					=>	'Generated in %1$s seconds, %2$s queries executed',
+'Querytime'					=>	'Generated in %1$s seconds (%2$s%% PHP - %3$s%% DB) with %4$s queries',
 'Debug table'				=>	'Debug information',
 'Debug summary'				=>	'Database query performance information',
 'Query times'				=>	'Time (s)',
 'Query'						=>	'Query',
 'Total query time'			=>	'Total query time',
 
+// Error message
+'Forum error header'		=> 'Sorry! The page could not be loaded.',
+'Forum error description'	=> 'This is probably a temporary error. Just refresh the page and retry. If problem continues, please check back in 5-10 minutes.',
+'Forum error location'		=> 'The error occurred on line %1$s in %2$s',
+'Forum error db reported'	=> 'Database reported:',
+'Forum error db query'		=> 'Failed query:',
+
 );
diff -urN punbb-1.4.1/lang/English/install.php punbb-1.4.2/lang/English/install.php
--- punbb-1.4.1/lang/English/install.php	2011-10-31 18:51:50.000000000 +0000
+++ punbb-1.4.2/lang/English/install.php	2012-02-09 20:42:20.000000000 +0000
@@ -40,7 +40,7 @@
 'Admin confirm password'	=>	'Confirm password',
 'Admin e-mail'				=>	'Admin\'s email',
 'Username help'				=>	'Between 2 and 25 characters.',
-'Password help'				=>	'Minimum 4 characters. Case sensitive.',
+'Password help'				=>	'Minimum 4 characters. cAsE sEnsiTive.',
 'Confirm password help'		=>	'Re-enter exactly as before.',
 'E-mail address help'		=>	'A valid current email address for the forum administrator.',
 'Part3'						=>	'Part 3 — Forum setup',
diff -urN punbb-1.4.1/lang/English/profile.php punbb-1.4.2/lang/English/profile.php
--- punbb-1.4.1/lang/English/profile.php	2011-10-31 18:51:50.000000000 +0000
+++ punbb-1.4.2/lang/English/profile.php	2012-02-09 20:42:20.000000000 +0000
@@ -31,7 +31,7 @@
 
 // Avatar stuff
 'Avatar welcome'			=>	'Set an avatar image to enhance your forum identity',
-'Avatar welcome user'		=>	'Set an avatar image to enhance  %s\'s forum identity',
+'Avatar welcome user'		=>	'Set an avatar image to enhance %s\'s forum identity',
 'Avatar deleted redirect'	=>	'Avatar deleted.',
 'Avatars disabled'			=>	'The administrator has disabled avatar support.',
 'No file'					=>	'You did not select a file for upload.',
@@ -83,7 +83,7 @@
 'Note'						=>	'Note',
 'Posts'						=>	'Posts',
 'Last post'					=>	'Last post',
-'Last visit'				=> 	'Last visit',
+'Last visit'				=>	'Last visit',
 'Send forum e-mail'			=>	'Send forum email',
 'Contact info'				=>	'Contact information',
 'Jabber'					=>	'Jabber',
@@ -115,9 +115,9 @@
 'Settings welcome'			=>	'Modify your localization, display and email settings',
 'Settings welcome user'		=>	'Modify %s\'s localization, display and email settings',
 'Timezone info'				=>	'Must be set for correct time display.',
-'Time format'				=>  'Time format',
-'Default'					=>  'default',
-'Date format'				=>  'Date format',
+'Time format'				=>	'Time format',
+'Default'					=>	'default',
+'Date format'				=>	'Date format',
 'Display settings'			=>	'Display settings',
 'Styles'					=>	'Available styles',
 'Image display'				=>	'Image display',
@@ -231,7 +231,7 @@
 'Username'					=>	'Username',
 'Username help'				=>	'Between 2 and 25 characters.',
 'Password'					=>	'Password',
-'Password help'				=>	'Minimum 4 characters. Case sensitive.',
+'Password help'				=>	'Minimum 4 characters. cAsE sEnsiTive.',
 'Confirm password'			=>	'Confirm password',
 'Confirm password help'		=>	'Re-enter your password exactly as before.',
 'E-mail'					=>	'Email',
diff -urN punbb-1.4.1/lang/English/topic.php punbb-1.4.2/lang/English/topic.php
--- punbb-1.4.1/lang/English/topic.php	2011-10-31 18:51:50.000000000 +0000
+++ punbb-1.4.2/lang/English/topic.php	2012-02-09 20:42:20.000000000 +0000
@@ -24,7 +24,7 @@
 'E-mail'				=>	'Email',
 'Online'				=>	'Online',
 'Offline'				=>	'Offline',
-'Last edited'			=>	'Last edited by %1$s (%2$s)',
+'Last edited'			=>	'(edited by %1$s %2$s)',
 'Report'				=>	'Report',
 'Delete'				=>	'Delete',
 'Delete topic'			=>	'Delete topic',
